{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/api_user/settlement_concept_account_user/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/api_user/settlement_concept_account_user/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">API Ansiedlungskonzepte<br/>Nutzende <span class="text-secondary">({{ settlementConceptAccountUsers|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto align-self-center" data-coreui-toggle="collapse" data-coreui-target="#settlement_concept_account_user_filter" aria-expanded="false" aria-controls="account_user_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
        </button>
        <button class="mdc-button mdc-button--leading ms-auto align-self-center" data-coreui-toggle="collapse" data-coreui-target="#settlement_concept_account_user_search" aria-expanded="false" aria-controls="account_user_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
            {% if settlementConceptAccountUserSearchForm.vars.data.getText != null %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Suche aktiv</span>
                </span>
            {% endif %}
        </button>
        {% if is_granted('ROLE_ACCOUNT_ADMIN') == true %}
            <a class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center" href="{{ path('external_user_api_user_settlement_concept_account_user_create')}}">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
                <span class="mdc-button__label d-lg-none">einladen</span>
                <span class="mdc-button__label d-none d-lg-block">Nutzenden einladen</span>
            </a>
        {% endif %}
    </div>
    <div class="collapse bg-white" id="settlement_concept_account_user_search">
        <div class="p-4">
            {{ form_start(settlementConceptAccountUserSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': settlementConceptAccountUserSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': settlementConceptAccountUserSearchForm.text.vars.id ~ '_label',
                        'label': settlementConceptAccountUserSearchForm.text.vars.label,
                        'type': 'text',
                        'name': settlementConceptAccountUserSearchForm.text.vars.full_name,
                        'value': settlementConceptAccountUserSearchForm.text.vars.value,
                        'disabled': settlementConceptAccountUserSearchForm.text.vars.disabled,
                        'required': settlementConceptAccountUserSearchForm.text.vars.required,
                        'suffix': null
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(settlementConceptAccountUserSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(settlementConceptAccountUserSearchForm._token) }}
            {{ form_end(settlementConceptAccountUserSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="settlement_concept_account_user_filter">
        <div class="ps-4 pe-4 pt-1 pb-4">
            {{ form_start(settlementConceptAccountUserFilterForm) }}
            <span class="ms-1">Status</span>
            <div class="row mb-3">
                {% for enabledState in settlementConceptAccountUserFilterForm.enabledStates %}
                    <div class="col-lg-3">
                        {{ form_row(enabledState) }}
                    </div>
                {% endfor %}
            </div>
            <div class="pt-2">
                {{ form_widget(settlementConceptAccountUserFilterForm.apply, {'label': 'übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                {{ form_widget(settlementConceptAccountUserFilterForm.reset, { 'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            </div>
            {{ form_row(settlementConceptAccountUserFilterForm._token) }}
            {{ form_end(settlementConceptAccountUserFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h3 class="mb-3">Schnittstelle (API) für Ansiedlungskonzepte</h3>
            <p>
                Über die Schnittstelle für Ansiedlungskonzepte können Dienstleister automatisiert Ansiedlungskonzepte an LeAn® überspielen, die dann in den Matching-Prozess einbezogen werden.
                Damit die Nutzung der API möglich ist, ist es erforderlich, dass dem nutzenden Unternehmen ein API-Token zur Verfgung gestellt wird.
                An dieser Stelle können Sie API-Nutzende anlegen bzw. verwalten. Mit dem Anlegen wird automatisch eine E-Mail mit einem Link zum Generieren des API-Tokens versandt.
            </p>
            <p><a href="{{ path('documentation_api_settlement_concept') }}" target="_blank">API-Schnittstellenbeschreibung</a></p>
        </div>
        <div class="mdc-card mb-4">
            {% include 'external_user/component/api_user/settlement_concept_account_user/settlement_concept_account_user_list_component.html.twig' with {
                'idPrefix': 'settlement_concept_account_user_',
                'listItems': settlementConceptAccountUsers,
                'showActionButton': true,
                'massOperation': false,
                'pagination': true,
                'sortable': true,
                'actionChoices': []
            } only %}
        </div>
    </div>
{% endblock %}
